Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041104
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-06-17 13:372019-08-22 14:44
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionf6a08a4efa0b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041104: refactor CR services not to depend on axis

DescriptionRefactor Central Repository Web Services so that they do not depend on axis.

The goal is to completely remove axis dependency 0040536.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0041392 closedplatform API change: removed CR SOAP web services 
related to defect 0041475 closedcberner password reference changes are not detected till focus changes 
blocks design defect 0040536 closedalostale Remove support for axis 
causes defect 0041474 closedalostale cannot register module with DBPrefix 

-  Notes
(0113492)
hgbot (developer)
2019-07-18 09:03

Repository: erp/devel/pi
Changeset: f6a08a4efa0b7d9478d9db5c61e2b865a15f1a49
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 18 09:00:48 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f6a08a4efa0b7d9478d9db5c61e2b865a15f1a49 [^]

fixes 41104: refactor CR services not to depend on axis

---
M build.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/build.xml
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/MaturityLevel.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagementAdd.html
M src/org/openbravo/erpCommon/modules/CheckLocalConsistency.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/modules/ModuleBox.srpt
M src/org/openbravo/erpCommon/modules/ModuleBox.xml
M src/org/openbravo/erpCommon/modules/VersionUtility.java
M src/org/openbravo/erpCommon/utility/FieldProviderFactory.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/businesslogic/RegisterModuleActionHandler.java
A src/org/openbravo/service/centralrepository/CentralRepository.java
A src/org/openbravo/service/centralrepository/Module.java
A src/org/openbravo/service/centralrepository/ModuleDependency.java
A src/org/openbravo/service/centralrepository/ModuleInstallDetail.java
A src/org/openbravo/service/centralrepository/SimpleModule.java
R src/org/openbravo/erpCommon/ad_process/RegisterModule.html
R src/org/openbravo/erpCommon/ad_process/RegisterModule.java
R src/org/openbravo/erpCommon/ad_process/RegisterModule.xml
R src/org/openbravo/erpCommon/ad_process/RegisterModule_data.xsql
R src/org/openbravo/services/webservice/Module.java
R src/org/openbravo/services/webservice/Module1.java
R src/org/openbravo/services/webservice/Module2.java
R src/org/openbravo/services/webservice/ModuleDependency.java
R src/org/openbravo/services/webservice/ModuleInstallDetail.java
R src/org/openbravo/services/webservice/SimpleModule.java
R src/org/openbravo/services/webservice/SimpleModule1.java
R src/org/openbravo/services/webservice/SimpleModule2.java
R src/org/openbravo/services/webservice/WebService3Impl.java
R src/org/openbravo/services/webservice/WebService3ImplService.java
R src/org/openbravo/services/webservice/WebService3ImplServiceLocator.java
R src/org/openbravo/services/webservice/WebService3SoapBindingImpl.java
R src/org/openbravo/services/webservice/WebService3SoapBindingStub.java
---
(0113542)
hgbot (developer)
2019-07-19 08:18

Repository: erp/devel/pi
Changeset: bd5cda9a6614502424cc79f5c22feb7631ca7eae
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 19 08:16:59 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bd5cda9a6614502424cc79f5c22feb7631ca7eae [^]

related to issue 41104: do not ping to do the actual request afterward

  There is no need to ping CR to know if we can do the actual request, do it and
  if it fails show the error to the user.

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0113656)
caristu (developer)
2019-07-26 08:26

Reviewed as part of project: https://docs.google.com/spreadsheets/d/1ULYArcdCfY1_YrUFaam7VQcTay6AT-GNATZQc3OAGTQ/edit#gid=0 [^]
(0114165)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-17 13:37 alostale New Issue
2019-06-17 13:37 alostale Assigned To => platform
2019-06-17 13:37 alostale Modules => Core
2019-06-17 13:37 alostale Triggers an Emergency Pack => No
2019-06-17 13:37 alostale Relationship added blocks 0040536
2019-06-17 13:37 alostale Status new => acknowledged
2019-07-18 08:53 alostale Relationship added depends on 0041392
2019-07-18 09:03 hgbot Checkin
2019-07-18 09:03 hgbot Note Added: 0113492
2019-07-18 09:03 hgbot Status acknowledged => resolved
2019-07-18 09:03 hgbot Resolution open => fixed
2019-07-18 09:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f6a08a4efa0b7d9478d9db5c61e2b865a15f1a49 [^]
2019-07-18 09:07 alostale Review Assigned To => caristu
2019-07-19 08:15 alostale Assigned To platform => alostale
2019-07-19 08:18 hgbot Checkin
2019-07-19 08:18 hgbot Note Added: 0113542
2019-07-26 08:26 caristu Note Added: 0113656
2019-07-26 08:26 caristu Status resolved => closed
2019-07-26 08:26 caristu Fixed in Version => 3.0PR19Q4
2019-07-29 14:48 alostale Relationship added causes 0041474
2019-07-29 14:55 alostale Relationship added related to 0041475
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114165


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker